org.apache.lucene.spatial.spatial4j

## Class Geo3dShape

- java.lang.Object
- - org.apache.lucene.spatial.spatial4j.Geo3dShape

- All Implemented Interfaces:
    org.locationtech.spatial4j.shape.Shape

      public class Geo3dShape
      extends Object
      implements org.locationtech.spatial4j.shape.Shape

  A Spatial4j Shape wrapping a `GeoShape` ("Geo3D") -- a 3D planar geometry based Spatial4j Shape implementation. Geo3D implements shapes on the surface of a sphere or ellipsoid.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.locationtech.spatial4j.context.SpatialContext` | `ctx`
    `PlanetModel` | `planetModel`
    `protected static double` | `ROUNDOFF_ADJUSTMENT` The required size of this adjustment depends on the actual planetary model chosen.
    `GeoShape` | `shape`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Geo3dShape(GeoShape shape, org.locationtech.spatial4j.context.SpatialContext ctx)`
    `Geo3dShape(PlanetModel planetModel, GeoShape shape, org.locationtech.spatial4j.context.SpatialContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `double` | `getArea(org.locationtech.spatial4j.context.SpatialContext ctx)`
    `org.locationtech.spatial4j.shape.Rectangle` | `getBoundingBox()`
    `org.locationtech.spatial4j.shape.Shape` | `getBuffered(double distance, org.locationtech.spatial4j.context.SpatialContext ctx)`
    `org.locationtech.spatial4j.shape.Point` | `getCenter()`
    `org.locationtech.spatial4j.context.SpatialContext` | `getContext()`
    `boolean` | `hasArea()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `protected org.locationtech.spatial4j.shape.SpatialRelation` | `relate(org.locationtech.spatial4j.shape.Point p)`
    `protected org.locationtech.spatial4j.shape.SpatialRelation` | `relate(org.locationtech.spatial4j.shape.Rectangle r)`
    `org.locationtech.spatial4j.shape.SpatialRelation` | `relate(org.locationtech.spatial4j.shape.Shape other)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROUNDOFF_ADJUSTMENT

          protected static final double ROUNDOFF_ADJUSTMENT

      The required size of this adjustment depends on the actual planetary model chosen. This value is big enough to account for WGS84.
      See Also:
        Constant Field Values

    - #### ctx

          public final org.locationtech.spatial4j.context.SpatialContext ctx

    - #### shape

          public final GeoShape shape

    - #### planetModel

          public final PlanetModel planetModel

  - ### Constructor Detail

    - #### Geo3dShape

          public Geo3dShape(GeoShape shape,
                            org.locationtech.spatial4j.context.SpatialContext ctx)

    - #### Geo3dShape

          public Geo3dShape(PlanetModel planetModel,
                            GeoShape shape,
                            org.locationtech.spatial4j.context.SpatialContext ctx)

  - ### Method Detail

    - #### getContext

          public org.locationtech.spatial4j.context.SpatialContext getContext()

      Specified by:
        `getContext` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### relate

          public org.locationtech.spatial4j.shape.SpatialRelation relate(org.locationtech.spatial4j.shape.Shape other)

      Specified by:
        `relate` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### relate

          protected org.locationtech.spatial4j.shape.SpatialRelation relate(org.locationtech.spatial4j.shape.Rectangle r)

    - #### relate

          protected org.locationtech.spatial4j.shape.SpatialRelation relate(org.locationtech.spatial4j.shape.Point p)

    - #### getBoundingBox

          public org.locationtech.spatial4j.shape.Rectangle getBoundingBox()

      Specified by:
        `getBoundingBox` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### hasArea

          public boolean hasArea()

      Specified by:
        `hasArea` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### getArea

          public double getArea(org.locationtech.spatial4j.context.SpatialContext ctx)

      Specified by:
        `getArea` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### getCenter

          public org.locationtech.spatial4j.shape.Point getCenter()

      Specified by:
        `getCenter` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### getBuffered

          public org.locationtech.spatial4j.shape.Shape getBuffered(double distance,
                                                                    org.locationtech.spatial4j.context.SpatialContext ctx)

      Specified by:
        `getBuffered` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `org.locationtech.spatial4j.shape.Shape`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Specified by:
        `equals` in interface `org.locationtech.spatial4j.shape.Shape`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.